Uploaded image for project: 'Modules'
  1. Modules
  2. MODULES-1387

Regression: puppetlabs-ruby uses incorrect package name for bundler

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: ruby
    • Labels:
    • Environment:

      Ubuntu 12.04 (may affect others)

    • Template:

      Description

      v0.3.0 "Fixed" the package name for bundler to 'bundler' on all Debian-like systems. This is incorrect, as Ubuntu uses 'ruby-bundler' on at least 12.04.

      The package name was correct in v0.2.1. The changelog entry reads:

      • Fix package name to be 'bundler' instead of 'ruby-bundler' for Debian/Ubuntu

      This may have been an incorrect fix for #1224, relating to the package name specifically on Debian Wheezy, and possible new versions of Ubuntu.

      Relevant class is Ruby::Params ($bundler_package).

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned
              Reporter:
              njmoriarty Nick Moriarty
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support